apiVersion: v1
kind: Namespace
metadata:
  name: signoz
---
apiVersion: v1
kind: Service
metadata:
  name: signoz-otel-collector-external
  namespace: signoz
spec:
  type: ExternalName
  externalName: otel-collector.opentelemetry-collector.svc.cluster.local
  ports:
    - name: otlp-grpc
      port: 4317
      targetPort: 4317
      protocol: TCP
    - name: otlp-http
      port: 4318
      targetPort: 4318
      protocol: TCP
    - name: zipkin
      port: 9411
      targetPort: 9411
      protocol: TCP
